Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1242907 - Wireless connection animation infinite loop
Summary: Wireless connection animation infinite loop
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-nm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 11:41 UTC by Germano Massullo
Modified: 2016-06-20 11:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-20 11:03:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
screenshot (deleted)
2015-07-14 11:41 UTC, Germano Massullo
no flags Details

Description Germano Massullo 2015-07-14 11:41:55 UTC
Created attachment 1051777 [details]
screenshot

Description of problem:
Hi Jan, we have already spoken in IRC about the infinite connection loop icon that happens even if the wireless connection is active and stable.
I don't remember tests we have done last time, but I can remember that to stop the icon from looping I had to logout from Plasma.
I am sure it's better to leave a trace of some tests here, so everybody experiencing the same problem can give a look on it.

plasma-nm-5.3.2-1.fc22.x86_64

Comment 1 Germano Massullo 2015-07-14 12:26:45 UTC
I have forgotten to say that this problem triggers high CPU usage by plasmashell process

Comment 2 Jan Grulich 2015-07-15 05:50:18 UTC
The original problem was in NetworkManager, which had two active connections instead of one. You could just restart it by "systemctl restart NetworkManager".

Comment 3 Fedora Update System 2015-12-14 10:18:43 UTC
breeze-icon-theme-5.17.0-1.fc22 extra-cmake-modules-5.17.0-1.fc22 kf5-5.17.0-1.fc22 kf5-attica-5.17.0-1.fc22 kf5-baloo-5.17.0-1.fc22 kf5-bluez-qt-5.17.0-1.fc22 kf5-frameworkintegration-5.17.0-1.fc22 kf5-kactivities-5.17.0-1.fc22 kf5-kapidox-5.17.0-1.fc22 kf5-karchive-5.17.0-1.fc22 kf5-kauth-5.17.0-1.fc22 kf5-kbookmarks-5.17.0-1.fc22 kf5-kcmutils-5.17.0-1.fc22 kf5-kcodecs-5.17.0-1.fc22 kf5-kcompletion-5.17.0-1.fc22 kf5-kconfig-5.17.0-1.fc22 kf5-kconfigwidgets-5.17.0-1.fc22 kf5-kcoreaddons-5.17.0-1.fc22 kf5-kcrash-5.17.0-1.fc22 kf5-kdbusaddons-5.17.0-1.fc22 kf5-kdeclarative-5.17.0-1.fc22 kf5-kded-5.17.0-1.fc22 kf5-kdelibs4support-5.17.0-1.fc22 kf5-kdesignerplugin-5.17.0-1.fc22 kf5-kdesu-5.17.0-1.fc22 kf5-kdewebkit-5.17.0-1.fc22 kf5-kdnssd-5.17.0-1.fc22 kf5-kdoctools-5.17.0-1.fc22 kf5-kemoticons-5.17.0-1.fc22 kf5-kfilemetadata-5.17.0-1.fc22 kf5-kglobalaccel-5.17.0-1.fc22 kf5-kguiaddons-5.17.0-1.fc22 kf5-khtml-5.17.0-1.fc22 kf5-ki18n-5.17.0-1.fc22 kf5-kiconthemes-5.17.0-1.fc22 kf5-kidletime-5.17.0-1.fc22 kf5-kimageformats-5.17.0-1.fc22 kf5-kinit-5.17.0-1.fc22 kf5-kio-5.17.0-2.fc22 kf5-kitemmodels-5.17.0-1.fc22 kf5-kitemviews-5.17.0-1.fc22 kf5-kjobwidgets-5.17.0-1.fc22 kf5-kjs-5.17.0-1.fc22 kf5-kjsembed-5.17.0-1.fc22 kf5-kmediaplayer-5.17.0-1.fc22 kf5-knewstuff-5.17.0-1.fc22 kf5-knotifications-5.17.0-1.fc22 kf5-knotifyconfig-5.17.0-1.fc22 kf5-kpackage-5.17.0-1.fc22 kf5-kparts-5.17.0-1.fc22 kf5-kpeople-5.17.0-1.fc22 kf5-kplotting-5.17.0-1.fc22 kf5-kpty-5.17.0-1.fc22 kf5-kross-5.17.0-1.fc22 kf5-krunner-5.17.0-1.fc22 kf5-kservice-5.17.0-2.fc22 kf5-ktexteditor-5.17.0-1.fc22 kf5-ktextwidgets-5.17.0-1.fc22 kf5-kunitconversion-5.17.0-1.fc22 kf5-kwallet-5.17.0-1.fc22 kf5-kwidgetsaddons-5.17.0-1.fc22 kf5-kwindowsystem-5.17.0-1.fc22 kf5-kxmlgui-5.17.0-1.fc22 kf5-kxmlrpcclient-5.17.0-1.fc22 kf5-modemmanager-qt-5.17.0-1.fc22 kf5-networkmanager-qt-5.17.0-1.fc22 kf5-plasma-5.17.0-1.fc22 kf5-solid-5.17.0-1.fc22 kf5-sonnet-5.17.0-1.fc22 kf5-threadweaver-5.17.0-1.fc22 oxygen-icon-theme-5.17.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9cf3a4375d

Comment 4 Fedora Update System 2015-12-17 20:10:00 UTC
breeze-icon-theme-5.17.0-1.fc22 extra-cmake-modules-5.17.0-1.fc22 kapptemplate-15.12.0-1.fc22 kdeplasma-addons-5.5.0-3.fc22 kf5-5.17.0-1.fc22 kf5-attica-5.17.0-1.fc22 kf5-baloo-5.17.0-1.fc22 kf5-bluez-qt-5.17.0-1.fc22 kf5-frameworkintegration-5.17.0-1.fc22 kf5-kactivities-5.17.0-1.fc22 kf5-kapidox-5.17.0-1.fc22 kf5-karchive-5.17.0-1.fc22 kf5-kauth-5.17.0-1.fc22 kf5-kbookmarks-5.17.0-1.fc22 kf5-kcmutils-5.17.0-1.fc22 kf5-kcodecs-5.17.0-1.fc22 kf5-kcompletion-5.17.0-1.fc22 kf5-kconfig-5.17.0-1.fc22 kf5-kconfigwidgets-5.17.0-1.fc22 kf5-kcoreaddons-5.17.0-1.fc22 kf5-kcrash-5.17.0-1.fc22 kf5-kdbusaddons-5.17.0-1.fc22 kf5-kdeclarative-5.17.0-1.fc22 kf5-kded-5.17.0-1.fc22 kf5-kdelibs4support-5.17.0-1.fc22 kf5-kdesignerplugin-5.17.0-1.fc22 kf5-kdesu-5.17.0-1.fc22 kf5-kdewebkit-5.17.0-1.fc22 kf5-kdnssd-5.17.0-1.fc22 kf5-kdoctools-5.17.0-1.fc22 kf5-kemoticons-5.17.0-1.fc22 kf5-kfilemetadata-5.17.0-1.fc22 kf5-kglobalaccel-5.17.0-1.fc22 kf5-kguiaddons-5.17.0-1.fc22 kf5-khtml-5.17.0-1.fc22 kf5-ki18n-5.17.0-1.fc22 kf5-kiconthemes-5.17.0-1.fc22 kf5-kidletime-5.17.0-1.fc22 kf5-kimageformats-5.17.0-1.fc22 kf5-kinit-5.17.0-1.fc22 kf5-kio-5.17.0-2.fc22 kf5-kitemmodels-5.17.0-1.fc22 kf5-kitemviews-5.17.0-1.fc22 kf5-kjobwidgets-5.17.0-1.fc22 kf5-kjs-5.17.0-1.fc22 kf5-kjsembed-5.17.0-1.fc22 kf5-kmediaplayer-5.17.0-1.fc22 kf5-knewstuff-5.17.0-1.fc22 kf5-knotifications-5.17.0-1.fc22 kf5-knotifyconfig-5.17.0-1.fc22 kf5-kpackage-5.17.0-1.fc22 kf5-kparts-5.17.0-1.fc22 kf5-kpeople-5.17.0-1.fc22 kf5-kplotting-5.17.0-1.fc22 kf5-kpty-5.17.0-1.fc22 kf5-kross-5.17.0-1.fc22 kf5-krunner-5.17.0-1.fc22 kf5-kservice-5.17.0-2.fc22 kf5-ktexteditor-5.17.0-1.fc22 kf5-ktextwidgets-5.17.0-1.fc22 kf5-kunitconversion-5.17.0-1.fc22 kf5-kwallet-5.17.0-1.fc22 kf5-kwidgetsaddons-5.17.0-1.fc22 kf5-kwindowsystem-5.17.0-1.fc22 kf5-kxmlgui-5.17.0-1.fc22 kf5-kxmlrpcclient-5.17.0-1.fc22 kf5-modemmanager-qt-5.17.0-1.fc22 kf5-networkmanager-qt-5.17.0-1.fc22 kf5-plasma-5.17.0-2.fc22 kf5-solid-5.17.0-1.fc22 kf5-sonnet-5.17.0-1.fc22 kf5-threadweaver-5.17.0-1.fc22 oxygen-icon-theme-5.17.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9cf3a4375d

Comment 5 Fedora Update System 2015-12-18 15:52:53 UTC
breeze-icon-theme-5.17.0-1.fc22 extra-cmake-modules-5.17.0-1.fc22 kapptemplate-15.12.0-1.fc22 kdeplasma-addons-5.5.0-3.fc22 kf5-5.17.0-1.fc22 kf5-attica-5.17.0-1.fc22 kf5-baloo-5.17.0-1.fc22 kf5-bluez-qt-5.17.0-1.fc22 kf5-frameworkintegration-5.17.0-1.fc22 kf5-kactivities-5.17.0-1.fc22 kf5-kapidox-5.17.0-1.fc22 kf5-karchive-5.17.0-1.fc22 kf5-kauth-5.17.0-1.fc22 kf5-kbookmarks-5.17.0-1.fc22 kf5-kcmutils-5.17.0-1.fc22 kf5-kcodecs-5.17.0-1.fc22 kf5-kcompletion-5.17.0-1.fc22 kf5-kconfig-5.17.0-1.fc22 kf5-kconfigwidgets-5.17.0-1.fc22 kf5-kcoreaddons-5.17.0-1.fc22 kf5-kcrash-5.17.0-1.fc22 kf5-kdbusaddons-5.17.0-1.fc22 kf5-kdeclarative-5.17.0-1.fc22 kf5-kded-5.17.0-1.fc22 kf5-kdelibs4support-5.17.0-1.fc22 kf5-kdesignerplugin-5.17.0-1.fc22 kf5-kdesu-5.17.0-1.fc22 kf5-kdewebkit-5.17.0-1.fc22 kf5-kdnssd-5.17.0-1.fc22 kf5-kdoctools-5.17.0-1.fc22 kf5-kemoticons-5.17.0-1.fc22 kf5-kfilemetadata-5.17.0-1.fc22 kf5-kglobalaccel-5.17.0-1.fc22 kf5-kguiaddons-5.17.0-1.fc22 kf5-khtml-5.17.0-1.fc22 kf5-ki18n-5.17.0-1.fc22 kf5-kiconthemes-5.17.0-1.fc22 kf5-kidletime-5.17.0-1.fc22 kf5-kimageformats-5.17.0-1.fc22 kf5-kinit-5.17.0-1.fc22 kf5-kio-5.17.0-2.fc22 kf5-kitemmodels-5.17.0-1.fc22 kf5-kitemviews-5.17.0-1.fc22 kf5-kjobwidgets-5.17.0-1.fc22 kf5-kjs-5.17.0-1.fc22 kf5-kjsembed-5.17.0-1.fc22 kf5-kmediaplayer-5.17.0-1.fc22 kf5-knewstuff-5.17.0-1.fc22 kf5-knotifications-5.17.0-1.fc22 kf5-knotifyconfig-5.17.0-1.fc22 kf5-kpackage-5.17.0-1.fc22 kf5-kparts-5.17.0-1.fc22 kf5-kpeople-5.17.0-1.fc22 kf5-kplotting-5.17.0-1.fc22 kf5-kpty-5.17.0-1.fc22 kf5-kross-5.17.0-1.fc22 kf5-krunner-5.17.0-1.fc22 kf5-kservice-5.17.0-2.fc22 kf5-ktexteditor-5.17.0-1.fc22 kf5-ktextwidgets-5.17.0-1.fc22 kf5-kunitconversion-5.17.0-1.fc22 kf5-kwallet-5.17.0-1.fc22 kf5-kwidgetsaddons-5.17.0-1.fc22 kf5-kwindowsystem-5.17.0-1.fc22 kf5-kxmlgui-5.17.0-1.fc22 kf5-kxmlrpcclient-5.17.0-1.fc22 kf5-modemmanager-qt-5.17.0-1.fc22 kf5-networkmanager-qt-5.17.0-1.fc22 kf5-plasma-5.17.0-2.fc22 kf5-solid-5.17.0-1.fc22 kf5-sonnet-5.17.0-1.fc22 kf5-threadweaver-5.17.0-1.fc22 oxygen-icon-theme-5.17.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9cf3a4375d

Comment 6 Fedora Update System 2015-12-22 15:38:02 UTC
breeze-icon-theme-5.17.0-1.fc22, extra-cmake-modules-5.17.0-1.fc22, kapptemplate-15.12.0-1.fc22, kdeplasma-addons-5.5.0-3.fc22, kf5-5.17.0-1.fc22, kf5-attica-5.17.0-1.fc22, kf5-baloo-5.17.0-1.fc22, kf5-bluez-qt-5.17.0-1.fc22, kf5-frameworkintegration-5.17.0-1.fc22, kf5-kactivities-5.17.0-1.fc22, kf5-kapidox-5.17.0-1.fc22, kf5-karchive-5.17.0-1.fc22, kf5-kauth-5.17.0-1.fc22, kf5-kbookmarks-5.17.0-1.fc22, kf5-kcmutils-5.17.0-1.fc22, kf5-kcodecs-5.17.0-1.fc22, kf5-kcompletion-5.17.0-1.fc22, kf5-kconfig-5.17.0-1.fc22, kf5-kconfigwidgets-5.17.0-1.fc22, kf5-kcoreaddons-5.17.0-1.fc22, kf5-kcrash-5.17.0-1.fc22, kf5-kdbusaddons-5.17.0-1.fc22, kf5-kdeclarative-5.17.0-1.fc22, kf5-kded-5.17.0-1.fc22, kf5-kdelibs4support-5.17.0-1.fc22, kf5-kdesignerplugin-5.17.0-1.fc22, kf5-kdesu-5.17.0-1.fc22, kf5-kdewebkit-5.17.0-1.fc22, kf5-kdnssd-5.17.0-1.fc22, kf5-kdoctools-5.17.0-1.fc22, kf5-kemoticons-5.17.0-1.fc22, kf5-kfilemetadata-5.17.0-1.fc22, kf5-kglobalaccel-5.17.0-1.fc22, kf5-kguiaddons-5.17.0-1.fc22, kf5-khtml-5.17.0-1.fc22, kf5-ki18n-5.17.0-1.fc22, kf5-kiconthemes-5.17.0-1.fc22, kf5-kidletime-5.17.0-1.fc22, kf5-kimageformats-5.17.0-1.fc22, kf5-kinit-5.17.0-1.fc22, kf5-kio-5.17.0-2.fc22, kf5-kitemmodels-5.17.0-1.fc22, kf5-kitemviews-5.17.0-1.fc22, kf5-kjobwidgets-5.17.0-1.fc22, kf5-kjs-5.17.0-1.fc22, kf5-kjsembed-5.17.0-1.fc22, kf5-kmediaplayer-5.17.0-1.fc22, kf5-knewstuff-5.17.0-1.fc22, kf5-knotifications-5.17.0-1.fc22, kf5-knotifyconfig-5.17.0-1.fc22, kf5-kpackage-5.17.0-1.fc22, kf5-kparts-5.17.0-1.fc22, kf5-kpeople-5.17.0-1.fc22, kf5-kplotting-5.17.0-1.fc22, kf5-kpty-5.17.0-1.fc22, kf5-kross-5.17.0-1.fc22, kf5-krunner-5.17.0-1.fc22, kf5-kservice-5.17.0-2.fc22, kf5-ktexteditor-5.17.0-1.fc22, kf5-ktextwidgets-5.17.0-1.fc22, kf5-kunitconversion-5.17.0-1.fc22, kf5-kwallet-5.17.0-1.fc22, kf5-kwidgetsaddons-5.17.0-1.fc22, kf5-kwindowsystem-5.17.0-1.fc22, kf5-kxmlgui-5.17.0-1.fc22, kf5-kxmlrpcclient-5.17.0-1.fc22, kf5-modemmanager-qt-5.17.0-1.fc22, kf5-networkmanager-qt-5.17.0-1.fc22, kf5-plasma-5.17.0-2.fc22, kf5-solid-5.17.0-1.fc22, kf5-sonnet-5.17.0-1.fc22, kf5-threadweaver-5.17.0-1.fc22, oxygen-icon-theme-5.17.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9cf3a4375d

Comment 7 Fedora Update System 2015-12-30 17:50:50 UTC
breeze-icon-theme-5.17.0-1.fc22, extra-cmake-modules-5.17.0-1.fc22, kapptemplate-15.12.0-1.fc22, kdeplasma-addons-5.5.0-3.fc22, kf5-5.17.0-1.fc22, kf5-attica-5.17.0-1.fc22, kf5-baloo-5.17.0-1.fc22, kf5-bluez-qt-5.17.0-1.fc22, kf5-frameworkintegration-5.17.0-1.fc22, kf5-kactivities-5.17.0-1.fc22, kf5-kapidox-5.17.0-1.fc22, kf5-karchive-5.17.0-1.fc22, kf5-kauth-5.17.0-1.fc22, kf5-kbookmarks-5.17.0-1.fc22, kf5-kcmutils-5.17.0-1.fc22, kf5-kcodecs-5.17.0-1.fc22, kf5-kcompletion-5.17.0-1.fc22, kf5-kconfig-5.17.0-1.fc22, kf5-kconfigwidgets-5.17.0-1.fc22, kf5-kcoreaddons-5.17.0-1.fc22, kf5-kcrash-5.17.0-1.fc22, kf5-kdbusaddons-5.17.0-1.fc22, kf5-kdeclarative-5.17.0-1.fc22, kf5-kded-5.17.0-1.fc22, kf5-kdelibs4support-5.17.0-1.fc22, kf5-kdesignerplugin-5.17.0-1.fc22, kf5-kdesu-5.17.0-1.fc22, kf5-kdewebkit-5.17.0-1.fc22, kf5-kdnssd-5.17.0-1.fc22, kf5-kdoctools-5.17.0-1.fc22, kf5-kemoticons-5.17.0-1.fc22, kf5-kfilemetadata-5.17.0-1.fc22, kf5-kglobalaccel-5.17.0-1.fc22, kf5-kguiaddons-5.17.0-1.fc22, kf5-khtml-5.17.0-1.fc22, kf5-ki18n-5.17.0-1.fc22, kf5-kiconthemes-5.17.0-1.fc22, kf5-kidletime-5.17.0-1.fc22, kf5-kimageformats-5.17.0-1.fc22, kf5-kinit-5.17.0-1.fc22, kf5-kio-5.17.0-2.fc22, kf5-kitemmodels-5.17.0-1.fc22, kf5-kitemviews-5.17.0-1.fc22, kf5-kjobwidgets-5.17.0-1.fc22, kf5-kjs-5.17.0-1.fc22, kf5-kjsembed-5.17.0-1.fc22, kf5-kmediaplayer-5.17.0-1.fc22, kf5-knewstuff-5.17.0-1.fc22, kf5-knotifications-5.17.0-1.fc22, kf5-knotifyconfig-5.17.0-1.fc22, kf5-kpackage-5.17.0-1.fc22, kf5-kparts-5.17.0-1.fc22, kf5-kpeople-5.17.0-1.fc22, kf5-kplotting-5.17.0-1.fc22, kf5-kpty-5.17.0-1.fc22, kf5-kross-5.17.0-1.fc22, kf5-krunner-5.17.0-1.fc22, kf5-kservice-5.17.0-2.fc22, kf5-ktexteditor-5.17.0-1.fc22, kf5-ktextwidgets-5.17.0-1.fc22, kf5-kunitconversion-5.17.0-1.fc22, kf5-kwallet-5.17.0-1.fc22, kf5-kwidgetsaddons-5.17.0-1.fc22, kf5-kwindowsystem-5.17.0-1.fc22, kf5-kxmlgui-5.17.0-1.fc22, kf5-kxmlrpcclient-5.17.0-1.fc22, kf5-modemmanager-qt-5.17.0-1.fc22, kf5-networkmanager-qt-5.17.0-1.fc22, kf5-plasma-5.17.0-2.fc22, kf5-solid-5.17.0-1.fc22, kf5-sonnet-5.17.0-1.fc22, kf5-threadweaver-5.17.0-1.fc22, oxygen-icon-theme-5.17.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Germano Massullo 2016-02-17 13:23:09 UTC
(In reply to Jan Grulich from comment #2)
> The original problem was in NetworkManager, which had two active connections
> instead of one. You could just restart it by "systemctl restart
> NetworkManager".

Problem confirmed also in 
plasma-nm-5.5.4-1.fc23.x86_64
NetworkManager-1.0.10-2.fc23.x86_64
the workaround "systemctl restart NetworkManager" solves it temporarily

Comment 9 Jan Grulich 2016-02-17 13:45:33 UTC
Please, what's your kf5-networkmanager-qt version? This should be properly fixed in kf5-networkmanager-qt-5.19.0-1.

Comment 10 Germano Massullo 2016-02-17 13:59:55 UTC
(In reply to Jan Grulich from comment #9)
> Please, what's your kf5-networkmanager-qt version? This should be properly
> fixed in kf5-networkmanager-qt-5.19.0-1.

the older version: kf5-networkmanager-qt-5.18.0-2.fc23.x86_64

Comment 11 Jan Grulich 2016-02-17 14:09:22 UTC
Try to update to 5.19 and let me know whether this bug is still reproducible.

Comment 12 Germano Massullo 2016-06-20 11:03:09 UTC
I think we can close it since I don't experience this bug from many months


Note You need to log in before you can comment on or make changes to this bug.